Gecode::BranchTraits< SetVar > Class Reference

Traits of SetVar for branching. More...

`#include <traits.hpp>`

## Public Types

typedef SetBranchFilter | Filter
| Type for the branching filter function.
typedef SetBranchMerit | Merit
| Type for the branching merit function.
typedef SetBranchVal | Val
| Type for the branching value function.
typedef int | ValType
| Return type of the branching value function.
typedef SetBranchCommit | Commit
| Type for the branching commit function.

## Detailed Description

Traits of SetVar for branching.

Definition at line 38 of file traits.hpp.

## Member Typedef Documentation

## Filter

typedef SetBranchFilter Gecode::BranchTraits< SetVar >::Filter

Type for the branching filter function.

Definition at line 41 of file traits.hpp.

## Merit

typedef SetBranchMerit Gecode::BranchTraits< SetVar >::Merit

Type for the branching merit function.

Definition at line 43 of file traits.hpp.

## Val

typedef SetBranchVal Gecode::BranchTraits< SetVar >::Val

Type for the branching value function.

Definition at line 45 of file traits.hpp.

## ValType

typedef int Gecode::BranchTraits< SetVar >::ValType

Return type of the branching value function.

Definition at line 47 of file traits.hpp.

## Commit

typedef SetBranchCommit Gecode::BranchTraits< SetVar >::Commit

Type for the branching commit function.

Definition at line 49 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/set/branch/traits.hpp